org.richfaces.request

## Class MultipartRequestSizeExceeded

- java.lang.Object
- - javax.servlet.ServletRequestWrapper
  - - javax.servlet.http.HttpServletRequestWrapper
    - - org.richfaces.request.MultipartRequestSizeExceeded

- All Implemented Interfaces:
    javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest, MultipartRequest

      public class MultipartRequestSizeExceeded
      extends javax.servlet.http.HttpServletRequestWrapper

  Author:
    Nick Belaevski

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.richfaces.request.MultipartRequest

      `MultipartRequest.ResponseState`

  - ### Field Summary

    - ### Fields inherited from interface org.richfaces.request.MultipartRequest

      `REQUEST_ATTRIBUTE_NAME`

    - ### Fields inherited from interface javax.servlet.http.HttpServletRequest

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipartRequestSizeExceeded(javax.servlet.http.HttpServletRequest request, String uploadId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContentType()`
    `String` | `getHeader(String name)`
    `MultipartRequest.ResponseState` | `getResponseState()`
    `Iterable<UploadedFile>` | `getUploadedFiles()`
    `String` | `getUploadId()`
    `void` | `release()`

    - ### Methods inherited from class javax.servlet.http.HttpServletRequestWrapper

      `getAuthType, getContextPath, getCookies, getDateHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole`

    - ### Methods inherited from class javax.servlet.ServletRequestWrapper

      `getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding, setRequest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.ServletRequest

      `getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding`

- - ### Constructor Detail

    - #### MultipartRequestSizeExceeded

          public MultipartRequestSizeExceeded(javax.servlet.http.HttpServletRequest request,
                                              String uploadId)

  - ### Method Detail

    - #### getResponseState

          public MultipartRequest.ResponseState getResponseState()

    - #### getUploadedFiles

          public Iterable<UploadedFile> getUploadedFiles()

    - #### getUploadId

          public String getUploadId()

      Specified by:
        `getUploadId` in interface `MultipartRequest`

    - #### release

          public void release()

      Specified by:
        `release` in interface `MultipartRequest`

    - #### getHeader

          public String getHeader(String name)

      Specified by:
        `getHeader` in interface `javax.servlet.http.HttpServletRequest`
      Overrides:
        `getHeader` in class `javax.servlet.http.HttpServletRequestWrapper`

    - #### getContentType

          public String getContentType()

      Specified by:
        `getContentType` in interface `javax.servlet.ServletRequest`
      Overrides:
        `getContentType` in class `javax.servlet.ServletRequestWrapper`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.